datacache <- new.env(hash=TRUE, parent=emptyenv())

ag <- function() showQCData("ag", datacache)
ag_dbconn <- function() dbconn(datacache)
ag_dbfile <- function() dbfile(datacache)
ag_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ag_dbInfo <- function() dbInfo(datacache)

agORGANISM <- "Arabidopsis thaliana"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ag.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("ARABIDOPSISCHIP_DB", "ag", "chip ag", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)

##     msg <- paste("\n Warning: All Arabidopsis packages now require you",
##                  "to use the toggleProbes() method in order to expose",
##                  "multiple mappings.")
##     msg <- paste("\n",paste(strwrap(msg, exdent=2),collapse="\n"),
##                  "\n",sep="")
##     packageStartupMessage(msg)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("ag.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ag_dbconn())
}

