\name{agARACYC}
\alias{agARACYC}
\title{Mappings between probe identifiers and KEGG pathway identifiers}
\description{
  AraCyc \url{http://www.arabidopsis.org/tools/aracyc/} maintains pathway data
  for Arabidopsis thaliana. agARACYC maps probe identifiers to the
  common names of the pathways in which the genes represented
  by the probe identifiers are involved. Information is obtained from
  AraCyc.
}
\details{
  Annotation based on data provided by: Tair  
  ftp://ftp.arabidopsis.org/Pathways/aracyc\_pathways.20100621  
  With a date stamp from the source of: 2011-Feb03
}
\references{
  \url{http://www.genome.ad.jp/kegg/}
}

\examples{
  x <- agARACYC
  # Get the probe identifiers that are mapped to pathways
  mapped_probes <- mappedkeys(x)
  # Convert to a list
  xx <- as.list(x[mapped_probes])
  if(length(xx) > 0) {
    # Get the pathways for the first five probes
    xx[1:5]
    # For the first probe
    xx[[1]]
  }
}

\keyword{datasets}

